Page MenuHomePhabricator

[Bug] Interwiki links for newly created wikis are shown at the bottom of sidebar
Closed, ResolvedPublic

Description

Interwiki links for newly created wikis are shown at the bottom of sidebar.

Example: https://en.wikipedia.org/wiki/Category:Poland

Event Timeline

Mjbmr created this task.Jun 19 2015, 2:17 AM
Mjbmr assigned this task to Krenair.
Mjbmr raised the priority of this task from to Unbreak Now!.
Mjbmr updated the task description. (Show Details)
Mjbmr added a subscriber: Mjbmr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2015, 2:17 AM
Restricted Application removed a subscriber: Mjbmr. · View Herald TranscriptJun 19 2015, 10:39 AM
Lydia_Pintscher lowered the priority of this task from Unbreak Now! to High.Jun 19 2015, 10:40 AM

Change 219411 had a related patch set uploaded (by Mjbmr):
Add lrc and gom

https://gerrit.wikimedia.org/r/219411

Mjbmr added a subscriber: Mjbmr.Jun 19 2015, 11:38 PM

gomwiki: T96468
lrcwiki: T102026

Change 219411 merged by jenkins-bot:
Add lrc and gom

https://gerrit.wikimedia.org/r/219411

Does this patch fix it or is there more to do? If there is more please remove patch-for-review.

Krenair removed Krenair as the assignee of this task.Jun 26 2015, 11:39 AM
Krenair added a subscriber: Krenair.

That'd fix it for the newest Wikipedias. Don't know if we should come up with a way that can easily be fixed inside mediawiki-config by the new wiki deployer.

Lydia_Pintscher set Security to None.

@aude: What do you say? Important enough to put time into?

aude added a comment.Jun 26 2015, 1:00 PM

@Lydia_Pintscher it is terrible that we have code for sorting links in Wikibase, when it is something generic. I would like to solve this more general issue and have a more sane place to put this stuff. (and that would make it easier when there is a new wikipedia) I am sure we have a ticket for the general issue.

the sorting order used to be maintained on meta wiki for pywikibot, so someone would have needed to add it there in the past and was not something deployers dealt with.

hoo added a comment.Jun 26 2015, 2:38 PM

We could just make it a setting and set it in mediawiki-config, I guess

Change 221124 had a related patch set uploaded (by Mjbmr):
Sort order alphabetically unknown language

https://gerrit.wikimedia.org/r/221124

Change 225834 had a related patch set uploaded (by Mjbmr):
Add 'azb'

https://gerrit.wikimedia.org/r/225834

Change 226460 had a related patch set uploaded (by Mjbmr):
Add 'azb'

https://gerrit.wikimedia.org/r/226460

Change 225834 merged by jenkins-bot:
Add 'azb'

https://gerrit.wikimedia.org/r/225834

Change 226460 merged by jenkins-bot:
Add 'azb'

https://gerrit.wikimedia.org/r/226460

Change 232939 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Tests for more edge cases in InterwikiSorter

https://gerrit.wikimedia.org/r/232939

Change 221124 merged by jenkins-bot:
Sort order alphabetically unknown language

https://gerrit.wikimedia.org/r/221124

Lydia_Pintscher renamed this task from Interwiki links for newly created wikis are shown at the bottom of sidebar to [Bug] Interwiki links for newly created wikis are shown at the bottom of sidebar.Aug 22 2015, 10:25 AM

Change 232939 merged by jenkins-bot:
Tests for more edge cases in InterwikiSorter

https://gerrit.wikimedia.org/r/232939

Change 234298 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Partly revert "alphabetic" InterwikiSorter order

https://gerrit.wikimedia.org/r/234298

Change 234298 merged by jenkins-bot:
Partly revert "alphabetic" InterwikiSorter order

https://gerrit.wikimedia.org/r/234298

mxn added a subscriber: mxn.Aug 30 2015, 9:04 PM

the sorting order used to be maintained on meta wiki for pywikibot, so someone would have needed to add it there in the past and was not something deployers dealt with.

Just now noticing this bug. The Meta sort order pages have a Scribunto module in place to alert Meta sysops when they’re missing languages, but the module was apparently broken for well over a year. With the module now fixed, we’ll be better about updating the sort order there.

daniel closed this task as Resolved.Aug 31 2015, 5:30 PM
daniel claimed this task.
daniel added a subscriber: daniel.

All patches merged

Change 235199 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Strict code order in InterwikiSorter

https://gerrit.wikimedia.org/r/235199

thiemowmde reopened this task as Open.Sep 1 2015, 9:05 AM

Can we please stop closing tickets purely based on the impression that the currently linked patches are merged?

thiemowmde lowered the priority of this task from High to Low.
thiemowmde moved this task from Done to Review on the Wikidata-Sprint-2015-08-18 board.

Change 235199 merged by jenkins-bot:
Strict code order in InterwikiSorter

https://gerrit.wikimedia.org/r/235199

thiemowmde closed this task as Resolved.Sep 2 2015, 12:24 PM
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2015-09-01 board.